## download

=== palm/Makefile ===
## Makefile for RAMDefrag (palm version)
# $Id: Makefile,v 1.7 2004/09/09 22:18:38 knilch Exp $

TARGET = ramdefrag
APPNAME = "RAMDefrag"
APPID = "RmDF"

OBJS = $(TARGET).o
LIBS =

target=m68k-palmos-

CC = $(target)gcc

CFLAGS = -Wall -g -O2

PILRC = pilrc
OBJRES = $(target)obj-res
NM = $(target)nm
BUILDPRC = build-prc
PILOTXFER = pilot-xfer

TGZFILE = ramdefrag-palm.tar.gz
ZIPFILE = ramdefrag-palm.zip

all: $(TARGET).prc

.S.o:
	$(CC) $(TARGETFLAGS) -c $<

.c.s:
	$(CC) $(CSFLAGS) $<

$(TARGET).prc: code0000.$(TARGET).grc code0001.$(TARGET).grc data0000.$(TARGET).grc pref0000.$(TARGET).grc rloc0000.$(TARGET).grc bin.res
	$(BUILDPRC) $(TARGET).prc $(APPNAME) $(APPID) code0001.$(TARGET).grc code0000.$(TARGET).grc data0000.$(TARGET).grc *.bin pref0000.$(TARGET).grc rloc0000.$(TARGET).grc

code0000.$(TARGET).grc: $(TARGET)
	$(OBJRES) $(TARGET)

code0001.$(TARGET).grc: code0000.$(TARGET).grc

data0000.$(TARGET).grc: code0000.$(TARGET).grc

pref0000.$(TARGET).grc: code0000.$(TARGET).grc

rloc0000.$(TARGET).grc: code0000.$(TARGET).grc

bin.res: $(TARGET).rcp $(TARGET).pbm
	$(PILRC) $(TARGET).rcp .
	touch bin.res

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o $(TARGET) $(LIBS)
	! $(NM) -u $(TARGET) | grep .

send: $(TARGET).prc
	$(PILOTXFER) -i $(TARGET).prc

depend:
	makedepend -Y -I. *.c

zip: clean
	zip $(ZIPFILE) [!C]*

tar: clean
	tar czf $(TGZFILE) [!C]*

tgz: tar

md5: tar
	md5sum $(TGZFILE) > $(TGZFILE).md5

clean:
	-rm -f *.[oa] $(TARGET) *.bin bin.res *.grc Makefile.bak
	-rm -f $(ZIPFILE) $(TGZFILE) $(TGZFILE).md5
