=== debian/changelog ===
ramdefrag (0.4.0) unstable; urgency=low

  * This is a placeholder message.

 -- knilch <knilch@users.sourceforge.net>  Sun,  4 Jan 2004 15:47:36 +0100
