=== debian/control ===
Source: ramdefrag
Section: x11
Priority: optional
Maintainer: knilch <knilch@users.sourceforge.net>
Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.9, libgtk2.0-dev, perl (>= 5.2.0), pkg-config, xlibs-dev
Standards-Version: 3.6.2.0

Package: ramdefrag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi Platform RAM Defragmentation
 From the upstream home page:
 .
 'Multi Platform RAM Defragmentation' is a so-called Memory Defragmenter,
 also called RAM defragmenter, RAM/memory booster, RAM/memory optimizer,
 etc.
 .
 By its visionary design, 'Multi Platform RAM Defragmentation' makes your
 computing platform run faster while simultaneously increasing system
 stability, and testers all over the world report that it does a great
 job in delivering world peace and harmony, too.
 .
 Homepage: http://ramdefrag.sourceforge.net/
 .
